Page MenuHomeFreeBSD

textproc/docproj: Remove legacy dependencies
ClosedPublic

Authored by dbaio on Jul 4 2021, 6:37 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Apr 9, 1:40 AM
Unknown Object (File)
Sun, Mar 17, 12:34 AM
Unknown Object (File)
Sun, Mar 17, 12:34 AM
Unknown Object (File)
Sun, Mar 17, 12:34 AM
Unknown Object (File)
Sun, Mar 17, 12:34 AM
Unknown Object (File)
Sun, Mar 17, 12:23 AM
Unknown Object (File)
Jan 11 2024, 1:46 AM
Unknown Object (File)
Dec 22 2023, 11:32 PM
Subscribers

Details

Summary

This cleans the current port for people just building the new
documentation with Hugo/Asciidoctor.

Keep the old dependencies list on a new port textproc/docproj-legacy.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dbaio requested review of this revision.Jul 4 2021, 6:37 PM
hrs requested changes to this revision.Jul 4 2021, 7:22 PM
hrs added a subscriber: hrs.
hrs added inline comments.
textproc/docproj-legacy/Makefile
3

Not a big difference in this case, but "PKGNAMESUFFIX= -legacy" should be preferred over adding "-foo" directly to PORTNAME.

10–11

I think we can remove hugo and asciidoctor in the legacy version.

textproc/docproj/Makefile
0–1

Please remove this line.

50

Do we really want to remove Igor? Certainly, this does not support adoc, but this is still useful as a checker, and we should make it possible to recognize adoc in the long term.

This revision now requires changes to proceed.Jul 4 2021, 7:22 PM
  • Address hrs@ requests

Keep igor in the current port.
Remove hugo/asciidoctor from the legacy one.

dbaio marked 3 inline comments as done.Jul 4 2021, 7:41 PM

Thanks for reviewing @hrs.

textproc/docproj-legacy/Makefile
6

The ? will be removed.

dbaio marked an inline comment as done.Jul 4 2021, 7:43 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 17 2021, 8:33 PM
This revision was automatically updated to reflect the committed changes.